Subject: bug#27830: 26.0.50; Left fringe gets truncated by a pixel in window not sharing that edge with frame

From: Robert Pluim <[email-masked]>
Date: Tue, 10 Oct 2017 10:46:31 +0200

martin rudalics <[email-masked]> writes:

>>>>> But perhaps we should simply stop showing vertical borders on
>>>>> graphical frames.
>>>>
>>>> Aren't they needed for resizing windows with a mouse?
>>>
>>> The majority of users probably has vertical scroll bars turned on, so
>>> they can't do that anyway.
>>
>> I'm confused: If I have a vertical scoll bar, there's a small vertical
>> bar just below the bottom of it that allows resizing the emacs window,
>> so why do scroll bars preclude resizing?
>
> The thing I would like to get rid of are the vertical borders.  You can
> make them more prominently visible by evaluating
>

OK, now I get it.

> (custom-set-faces
>  '(vertical-border ((t (:foreground "red")))))
> (scroll-bar-mode -1)
>
> with emacs -Q and typing C-x 3.  You can resize your windows now by
> dragging that red vertical line.
>
> Notice that the "small vertical bar" you mention did not change color.
> In fact, that bar does not exist at all.  You can make it "disappear" by
> resetting the face properties of ‘mode-line’ and ‘mode-line-inactive’ to
> the default face.  It's an artefact that allows resizing windows even in
> the presence of scroll bars.  It has not visual feedback but that of two
> boxes meeting each other on screen and a two arrows symbol that appears
> whenever the mouse cursor hovers above a nearby location.

Yes. In other GTK apps you can hold the mouse anywhere near the edge
of a scroll bar and resize it that way, but that's a feature for
another day.

Robert